package org.example.core;

import org.springframework.beans.BeansException;
import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
/**
 * A spring context object to allow the java classes
 * to access the underlying spring objects from within the java class
 * 
 * @author philip.wattenbarger@tomium.com
 *
 */
public class AppContext implements ApplicationContextAware {
	private static ApplicationContext	ctx;
	/**
	 * Returns the bean object. 
	 * Spring will through a runtime exception if the bean does not exist.
	 * @param name of the bean to find
	 * @return the object required
	 * @see BeanFactory
	 */
	public static Object getBean(String name) {
		return ctx.getBean(name);
	}

	/**
	 * Private constructor to make sure that the object is not created outside of Spring
	 */
	private AppContext() {
	}

	public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
		AppContext.ctx = applicationContext;

	}
}
