package org.example.test;

import java.util.List;
import java.util.logging.Level;

import org.apache.cxf.endpoint.Client;
import org.apache.cxf.frontend.ClientProxy;
import org.apache.cxf.interceptor.Interceptor;
import org.apache.cxf.interceptor.LoggingInInterceptor;
import org.apache.cxf.interceptor.LoggingOutInterceptor;
import org.apache.cxf.message.Message;
import org.apache.log4j.Logger;
import org.example.core.AppContext;
import org.example.hello.Hello;
import org.junit.Test;



public class TestHelloWS extends BaseTest {
	static Logger	log	= Logger.getLogger(TestHelloWS.class);
	
	
	@Test
	public void testHelloClient() {
		
		try {
			org.example.hello.Hello hello = (Hello) AppContext.getBean("testHello");
			Client client = ClientProxy.getClient(hello);
		    //WebServiceGatewaySupport me = (WebServiceGatewaySupport) hello;
		    
			java.util.logging.ConsoleHandler handler = new java.util.logging.ConsoleHandler();
			handler.setLevel(Level.FINE);
			List<Interceptor<? extends Message>> outInterceptors = client.getOutInterceptors();
			client.getInInterceptors().add(new LoggingInInterceptor());
	        client.getOutInterceptors().add(new LoggingOutInterceptor()); 
	       
			String hello2 = hello.sayHello("test");
			log.warn(hello2);
		} catch (Exception e) {
			log.error("Could not run EOD ",e);
			
		}
	}

}
